//
//  InspectorViewGuideController.h
//  InspectorViewGuideController
//
//  Created by Georg Seifert on 03.02.10.
//  Copyright 2010 schriftgestaltung.de. All rights reserved.
//

#import "GSInspectorViewController.h"
#import <Cocoa/Cocoa.h>

@interface InspectorViewComponentController : GSInspectorViewController {}

@property (nonatomic, weak) IBOutlet NSTextField *scaleHField;
@property (nonatomic, weak) IBOutlet NSTextField *scaleVField;
@property (nonatomic, weak) IBOutlet NSTextField *rotateField;
@property (nonatomic, weak) IBOutlet NSTextField *slantField;
@property (nonatomic, weak) IBOutlet NSButton *nameButton;
@property (nonatomic, weak) IBOutlet NSMenu *anchorsMenu;
@property (nonatomic, weak) IBOutlet NSPopUpButton *anchorButton;
@property (nonatomic, weak) IBOutlet NSTextField *keepWeightField;
@property (nonatomic, weak) IBOutlet NSButton *smartButton;

- (IBAction)setScaleH:(id)sender;

- (IBAction)setScaleV:(id)sender;

- (IBAction)setRotate:(id)sender;

- (IBAction)setSlantX:(id)sender;

- (IBAction)setSlantY:(id)sender;

- (IBAction)setKeepWeight:(id)sender;

- (IBAction)setName:(id)sender;

- (IBAction)showComponentGlyph:(id)sender;
@end
